Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1291392 - Review Request: nodejs-is-builtin-module - Check if a string matches the name of a Node.js builtin module
Summary: Review Request: nodejs-is-builtin-module - Check if a string matches the name...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1291353
Blocks: nodejs-reviews
TreeView+ depends on / blocked
 
Reported: 2015-12-14 18:44 UTC by Jared Smith
Modified: 2016-06-07 19:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-16 19:06:39 UTC
panemade: fedora-review+


Attachments (Terms of Use)

Description Jared Smith 2015-12-14 18:44:20 UTC
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-is-builtin-module/nodejs-is-builtin-module.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-is-builtin-module/nodejs-is-builtin-module-1.0.0-1.fc24.src.rpm
Description: Check if a string matches the name of a Node.js builtin module
Fedora Account System Username: jsmith

Comment 1 Parag AN(पराग) 2015-12-15 04:38:26 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
1) Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines

==> This will get solved when nodejs-builtin-module is available in the repository.

2) Can explicit "Requires: nodejs" be removed?

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 4 files have
     unknown license. Detailed output of licensecheck in
     /home/parag/1291392-nodejs-is-builtin-module/licensecheck.txt
[-]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.14 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.14
INFO: Mock Version: 1.2.14
Finish: chroot init
INFO: installing package(s): /home/parag/1291392-nodejs-is-builtin-module/results/nodejs-is-builtin-module-1.0.0-1.fc24.noarch.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 24 --setopt=deltarpm=false install /home/parag/1291392-nodejs-is-builtin-module/results/nodejs-is-builtin-module-1.0.0-1.fc24.noarch.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: nodejs-is-builtin-module-1.0.0-1.fc24.noarch.rpm
          nodejs-is-builtin-module-1.0.0-1.fc24.src.rpm
nodejs-is-builtin-module.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-is-builtin-module.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-is-builtin-module.noarch: W: only-non-binary-in-usr-lib
nodejs-is-builtin-module.noarch: W: dangling-symlink /usr/lib/node_modules/is-builtin-module/node_modules/builtin-modules /usr/lib/node_modules/builtin-modules
nodejs-is-builtin-module.src: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-is-builtin-module.src: W: spelling-error %description -l en_US js -> dis, ks, j
2 packages and 0 specfiles checked; 0 errors, 6 warnings.




Requires
--------
nodejs-is-builtin-module (rpmlib, GLIBC filtered):
    nodejs
    nodejs(engine)
    npm(builtin-modules)



Provides
--------
nodejs-is-builtin-module:
    nodejs-is-builtin-module
    npm(is-builtin-module)



Source checksums
----------------
https://registry.npmjs.org/is-builtin-module/-/is-builtin-module-1.0.0.tgz :
  CHECKSUM(SHA256) this package     : 4420b4ff39f7b135241b0426243d4edbf02d1f6dd32a4fba68c7f68f0e820e8e
  CHECKSUM(SHA256) upstream package : 4420b4ff39f7b135241b0426243d4edbf02d1f6dd32a4fba68c7f68f0e820e8e
https://raw.githubusercontent.com/sindresorhus/is-builtin-module/da55ebf031f3864c5d309e25e49ed816957d70a2/test.js :
  CHECKSUM(SHA256) this package     : bef2a2aff1ba4b7a9cd7a73faa964b2efb5dae741b2bf66cb8e7e63a1607e43b
  CHECKSUM(SHA256) upstream package : bef2a2aff1ba4b7a9cd7a73faa964b2efb5dae741b2bf66cb8e7e63a1607e43b


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20


APPROVED.

Comment 2 Gwyn Ciesla 2015-12-16 15:01:40 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/nodejs-is-builtin-module

Comment 3 Fedora Update System 2015-12-16 19:58:43 UTC
nodejs-is-builtin-module-1.0.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-8dadc3b0c7

Comment 4 Fedora Update System 2015-12-16 19:59:12 UTC
nodejs-is-builtin-module-1.0.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-a5747a956b

Comment 5 Fedora Update System 2015-12-16 20:00:03 UTC
nodejs-is-builtin-module-1.0.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-224d2b8841

Comment 6 Fedora Update System 2015-12-16 20:13:47 UTC
nodejs-is-builtin-module-1.0.0-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-6471987969

Comment 7 Fedora Update System 2015-12-17 10:27:38 UTC
nodejs-is-builtin-module-1.0.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nodejs-is-builtin-module'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-a5747a956b

Comment 8 Fedora Update System 2015-12-17 10:27:58 UTC
nodejs-is-builtin-module-1.0.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nodejs-is-builtin-module'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-8dadc3b0c7

Comment 9 Fedora Update System 2015-12-17 12:51:12 UTC
nodejs-is-builtin-module-1.0.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update nodejs-is-builtin-module'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-6471987969

Comment 10 Fedora Update System 2015-12-17 12:52:09 UTC
nodejs-is-builtin-module-1.0.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update nodejs-is-builtin-module'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-224d2b8841

Comment 11 Parag AN(पराग) 2016-05-01 06:00:12 UTC
Is there any reason for not to push this package to any stable repository yet?

Comment 12 Fedora Update System 2016-05-16 19:06:37 UTC
nodejs-is-builtin-module-1.0.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-05-16 22:25:55 UTC
nodejs-is-builtin-module-1.0.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-05-17 02:59:48 UTC
nodejs-is-builtin-module-1.0.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.